Results 1 to 4 of 4

Thread: zypper install removes older version

  1. #1

    Question zypper install removes older version

    Hi:

    Thank you for your time and attention in advance.

    I have buillt an rpm like this

    Code:
    narahari-test-80-1.noarch.rpm
    narahari-test-81-1.noarch.rpm
    When I install the narahari-test-80-1.noarch.rpm using the command

    Code:
    sudo zypper -vvv --non-interactive in -C narahari-test.noarch=80-1
    the version 80 gets installed.

    Now when I go and try

    Code:
    sudo zypper -vvv --non-interactive in -C narahari-test.noarch=81-1
    the install goes thru fine.

    However when I do
    Code:
    rpm -qa | grep narahari
    I see only
    Code:
    narahari-test-81-1
    As you can see the
    Code:
    narahari-test-80-1
    is not available and it is getting removed and 81 is taking its place.

    My requirement is that both of these should be available side by side

    So not sure what I am doing wrong or I have understood wrong about packages

    PS: If I install the rpm's directly using the
    Code:
    rpm -ivh <rpm name>
    command, both rpm's co exist in the rpm db


    Can I please get some help ?

    Thank you for your time and attention in advance.

    -Narahari

  2. #2
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: zypper install removes older version

    On 2014-05-29 21:26, savithari wrote:
    > So not sure what I am doing wrong or I have understood wrong about
    > packages


    Multiversion? :-?

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

  3. #3

    Default Re: zypper install removes older version

    Thank you for kicking me in the rear on this one.

    I looked at that and I had not typed the right spelling in the zypp.conf file.

    Is there a way to say any package is fair game, something like

    multiversion = *

    or even better

    update zypper configuration without modifying the file ?

    -Narahari

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: zypper install removes older version

    On 2014-05-29 22:26, savithari wrote:
    >
    > Thank you for kicking me in the rear on this one.
    >
    > I looked at that and I had not typed the right spelling in the zypp.conf
    > file.


    He.

    I guessed it might be related to the multiversion setting.


    > Is there a way to say any package is fair game, something like
    >
    > multiversion = *


    I'm not sure that's wise. It would affect every update on your system,
    and not all packages can install different versions at the same time:
    the one installed last would overwrite the others.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •